Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/OpCodes.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/OpCodes.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/OpCodes.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Algorithms.DataAnalysis.MctsSymbolicRegression {
+  [StorableType("ce2ac2c7-be22-4da4-8e24-f6c5efcc890a")]
   internal enum OpCodes : byte {
     Nop,
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/Policies/IActionStatistics.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/Policies/IActionStatistics.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/Policies/IActionStatistics.cs	(revision 14929)
@@ -4,6 +4,8 @@
 using System.Text;
 using System.Threading.Tasks;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis.MctsSymbolicRegression.Policies {
+  [StorableType("d1132b07-26e0-4904-bd87-776d5989979f")]
   public interface IActionStatistics {
     double AverageQuality { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/Policies/IPolicy.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/Policies/IPolicy.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/MctsSymbolicRegression/Policies/IPolicy.cs	(revision 14929)
@@ -5,6 +5,8 @@
 using System.Threading.Tasks;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis.MctsSymbolicRegression.Policies {
+  [StorableType("751db940-f960-4a52-a15d-f30563258ce9")]
   public interface IPolicy : IItem {
     int Select(IEnumerable<IActionStatistics> actions, IRandom random);
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/INcaInitializer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/INcaInitializer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/Initialization/INcaInitializer.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
+  [StorableType("a0bd0799-89b2-481c-a09c-8524e4e3dd29")]
   public interface INcaInitializer : IOperator {
     /// <summary>
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/ModelCreation/INcaModelCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/ModelCreation/INcaModelCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/ModelCreation/INcaModelCreator.cs	(revision 14929)
@@ -25,6 +25,8 @@
 using System.Text;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
+  [StorableType("6660f580-e03a-435f-94ad-a18abd947e8e")]
   public interface INcaModelCreator : IOperator {
 
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/SolutionCreation/INcaSolutionCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/SolutionCreation/INcaSolutionCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Nca/SolutionCreation/INcaSolutionCreator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
+  [StorableType("5898602c-bf7f-4f0e-aa96-03bd7b457653")]
   public interface INcaSolutionCreator : IOperator {
 
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/IDistance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/IDistance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/IDistance.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
+  [StorableType("48c477fd-f914-42c7-a88d-5f9db8156dbb")]
   public interface IDistance<in T> : IItem, IDistance {
     /// <summary>
@@ -44,4 +46,5 @@
 
 
+  [StorableType("dda8efe1-4ba9-4f69-ab19-f68574840f36")]
   public interface IDistance : IItem {
     double Get(object x, object y);
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/ISpacePartitioningTree.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/ISpacePartitioningTree.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/ISpacePartitioningTree.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
+  [StorableType("f7b06152-ce4e-493b-9e0a-5851f20ad83e")]
   public interface ISpacePartitioningTree {
 
Index: /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/IVantagePointTree.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/IVantagePointTree.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Interfaces/IVantagePointTree.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
+  [StorableType("e2525971-74bb-498e-a11a-490389451396")]
   public interface IVantagePointTree<T> {
     void Search(T target, int k, out IList<T> results, out IList<double> distances);
Index: /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 14929)
@@ -33,4 +33,5 @@
   public class DataRowVisualProperties : DeepCloneable, INotifyPropertyChanged {
     #region ChartType
+    [StorableType("c43ebac6-acf0-40f7-9515-c032f73f6b3c")]
     public enum DataRowChartType {
       Line,
@@ -43,4 +44,5 @@
     #endregion
     #region LineStyle
+    [StorableType("d006c5b0-a8f2-44ce-9cb7-6fb1f6ef7109")]
     public enum DataRowLineStyle {
       Dash,
@@ -53,4 +55,5 @@
     #endregion
     #region Histogram Aggregation
+    [StorableType("7fd525d7-4126-4084-b811-ee36b9eddf45")]
     public enum DataRowHistogramAggregation {
       Overlapping,
Index: /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 14929)
@@ -33,4 +33,5 @@
   public class ScatterPlotDataRowVisualProperties : DeepCloneable, INotifyPropertyChanged {
     #region PointStyle
+    [StorableType("a23fb4fd-7b9e-41c9-800b-85a7b3964937")]
     public enum ScatterPlotDataRowPointStyle {
       Circle,
@@ -46,4 +47,5 @@
     #endregion
     #region
+    [StorableType("496715c3-1f4f-4c93-9b47-76a94324a069")]
     public enum ScatterPlotDataRowRegressionType {
       None,
Index: /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/IFitting.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/IFitting.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/IFitting.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Analysis.Statistics {
+  [StorableType("68007b6c-7899-4aa1-8778-0e5196acc500")]
   public interface IFitting {
     DataRow CalculateFittedLine(double[] dataPoints);
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableArrayItemsChanged.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Collections {
+  [StorableType("23d5d519-a6f5-45bf-bb0c-5022e64b46b3")]
   public interface INotifyObservableArrayItemsChanged<T> {
     event CollectionItemsChangedEventHandler<IndexedItem<T>> ItemsReplaced;
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableCollectionItemsChanged.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Collections {
+  [StorableType("238c7acc-fdb3-4183-ac9c-92559d9c54cd")]
   public interface INotifyObservableCollectionItemsChanged<T> {
     event CollectionItemsChangedEventHandler<T> ItemsAdded;
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableDictionaryItemsChanged.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableDictionaryItemsChanged.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableDictionaryItemsChanged.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
+  [StorableType("b152e5ef-557c-4485-91c7-b803282e7e8f")]
   public interface INotifyObservableDictionaryItemsChanged<TKey, TValue> : INotifyObservableCollectionItemsChanged<KeyValuePair<TKey, TValue>> {
     event CollectionItemsChangedEventHandler<KeyValuePair<TKey, TValue>> ItemsReplaced;
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableKeyedCollectionItemsChanged.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableKeyedCollectionItemsChanged.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableKeyedCollectionItemsChanged.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Collections {
+  [StorableType("6cc465b8-e56e-47d1-ae79-a86592f5e1ae")]
   public interface INotifyObservableKeyedCollectionItemsChanged<TKey, TItem> : INotifyObservableCollectionItemsChanged<TItem> {
     event CollectionItemsChangedEventHandler<TItem> ItemsReplaced;
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/INotifyObservableListItemsChanged.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Collections {
+  [StorableType("1d6e3a50-47e8-4b1a-8508-3404e4067d23")]
   public interface INotifyObservableListItemsChanged<T> : INotifyObservableCollectionItemsChanged<T> {
     new event CollectionItemsChangedEventHandler<IndexedItem<T>> ItemsAdded;
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableArray.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
+  [StorableType("2582353a-9592-4594-abea-79e1b3efffda")]
   public interface IObservableArray<T> : IList<T>, INotifyObservableArrayItemsChanged<T>, INotifyPropertyChanged {
     int Length { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableCollection.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
+  [StorableType("d9ba46a6-04ff-412d-ac50-9124821114e3")]
   public interface IObservableCollection<T> : ICollection<T>, INotifyObservableCollectionItemsChanged<T>, INotifyPropertyChanged { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableDictionary.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableDictionary.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableDictionary.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
+  [StorableType("74269fc2-6b23-4335-9c98-44f70dc10f93")]
   public interface IObservableDictionary<TKey, TValue> : IDictionary<TKey, TValue>, IObservableCollection<KeyValuePair<TKey, TValue>>, INotifyObservableDictionaryItemsChanged<TKey, TValue> { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableKeyedCollection.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableKeyedCollection.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableKeyedCollection.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Collections {
+  [StorableType("1ee7b4f3-8ad9-43e8-9a40-c11029e3d012")]
   public interface IObservableKeyedCollection<TKey, TItem> : IObservableCollection<TItem>, INotifyObservableKeyedCollectionItemsChanged<TKey, TItem> {
     TItem this[TKey key] { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableKeyedList.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableKeyedList.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableKeyedList.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 
 /* HeuristicLab
@@ -23,4 +24,5 @@
 
 namespace HeuristicLab.Collections {
+  [StorableType("74c67a5e-d45e-44d9-ac54-13d2bc9db0e4")]
   public interface IObservableKeyedList<TKey, TItem> : IObservableKeyedCollection<TKey, TItem>, IObservableList<TItem> {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableList.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableList.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableList.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
+  [StorableType("672c4118-b252-47c1-b650-1bb4e2cb5ae9")]
   public interface IObservableList<T> : IList<T>, IObservableCollection<T>, INotifyObservableListItemsChanged<T> {
     void Reverse();
Index: /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableSet.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableSet.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableSet.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Collections {
+  [StorableType("9566d8ae-5189-4d1a-89f1-2703270ff8a1")]
   public interface IObservableSet<T> : IObservableCollection<T> {
     bool IsProperSubsetOf(IEnumerable<T> other);
Index: /branches/PersistenceReintegration/HeuristicLab.Common/3.3/DeepCloneable.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Common/3.3/DeepCloneable.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Common/3.3/DeepCloneable.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -25,4 +26,5 @@
   /// Represents a base class for all deeply cloneable objects.
   /// </summary>
+  [StorableType("c184f5d2-596e-4b10-a25a-7a87fbf3d4de")]
   public abstract class DeepCloneable : IDeepCloneable {
     protected DeepCloneable(DeepCloneable original, Cloner cloner) {
Index: /branches/PersistenceReintegration/HeuristicLab.Common/3.3/NaturalStringComparer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Common/3.3/NaturalStringComparer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Common/3.3/NaturalStringComparer.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.Text.RegularExpressions;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Common {
+  [StorableType("1437722c-78c5-4fca-85bc-4ac07de9d1a4")]
   public class NaturalStringComparer : IComparer<string> {
     public int Compare(string x, string y) {
Index: /branches/PersistenceReintegration/HeuristicLab.Common/3.3/Point2D.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Common/3.3/Point2D.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Common/3.3/Point2D.cs	(revision 14929)
@@ -23,7 +23,9 @@
 using System.ComponentModel;
 using System.Globalization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Common {
   [Serializable]
+  [StorableType("64c7d002-d5e0-4596-b9d9-c027025f5e9c")]
   public struct Point2D<T> where T : struct, IEquatable<T> {
     public static readonly Point2D<T> Empty = new Point2D<T>();
Index: /branches/PersistenceReintegration/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Common {
+  [StorableType("bf59f521-05e8-43de-8dbc-0700968c00d2")]
   public class ReferenceEqualityComparer : IEqualityComparer<object> {
     bool IEqualityComparer<object>.Equals(object x, object y) {
Index: /branches/PersistenceReintegration/HeuristicLab.Common/3.3/TypeEqualityComparer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Common/3.3/TypeEqualityComparer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Common/3.3/TypeEqualityComparer.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Common {
+  [StorableType("1042bf0f-d25d-4936-91be-68dbbae11c54")]
   public class TypeEqualityComparer<T> : IEqualityComparer<T> {
 
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/IConstraint.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("6145ebe3-c59b-4bd9-8f17-f4ffdf0bf0ac")]
   public interface IConstraint : IItem {
     bool Active { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionState.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionState.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/ExecutionState.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("78cfa365-611e-4269-af22-4e558644c4a6")]
   public enum ExecutionState {
     Prepared,
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("bb99e419-45fb-4c73-bf76-e4a37b154ca6")]
   public interface IArc : IItem {
     IVertex Source { get; }
@@ -33,4 +35,5 @@
   }
 
+  [StorableType("ae2ee002-878b-4fd4-8ef4-0a97397bf1dd")]
   public interface IArc<T> : IArc where T : class, IDeepCloneable {
     T Data { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("4cb3d3c3-30f2-4695-a5f5-3411b236c724")]
   public interface IDirectedGraph : IItem {
     IEnumerable<IVertex> Vertices { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("3eb07777-cf55-4e4e-b682-72e7ed0a56d3")]
   public interface IVertex : IItem {
     IEnumerable<IArc> InArcs { get; }
@@ -44,4 +46,5 @@
   }
 
+  [StorableType("db0f22db-d909-48ef-8030-74d9549edd1c")]
   public interface IVertex<T> : IVertex where T : class, IDeepCloneable {
     T Data { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -24,4 +25,5 @@
   /// Interface which represents an atomic operation.
   /// </summary>
+  [StorableType("441b7c2e-0c6e-4f92-a970-f15c4b7cb99c")]
   public interface IAtomicOperation : IOperation {
     IOperator Operator { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("5b7be247-ee39-4b06-827b-ff27993d6f06")]
   public interface ICheckedItemCollection<T> : IItemCollection<T> where T : class, IItem {
     event CollectionItemsChangedEventHandler<T> CheckedItemsChanged;
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("49c1897a-41d8-4943-bb11-467d472ea8ce")]
   public interface ICheckedItemList<T> : IItemList<T> where T : class, IItem {
     event CollectionItemsChangedEventHandler<IndexedItem<T>> CheckedItemsChanged;
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("4559740d-4add-4799-9304-e8ffedd95724")]
   public interface ICheckedMultiOperator<T> : IMultiOperator<T> where T : class, IOperator {
     new ICheckedItemList<T> Operators { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("1622f4a5-72ba-4eef-96a7-ff62859002a6")]
   public interface IConstrainedValueParameter<T> : IValueParameter<T> where T : class, IItem {
     IItemSet<T> ValidValues { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IEngine.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IEngine.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IEngine.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("9ef9b0f8-0b3f-437a-acb4-d45133c065d0")]
   public interface IEngine : IExecutable {
     ILog Log { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("81695755-bae2-4237-b10c-f9984c5b770e")]
   public interface IExecutable : IItem {
     ExecutionState ExecutionState { get; }
